Referenceimports
Import an external skill into a registry
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/imports" \ -H "Content-Type: application/json" \ -d '{ "source": "string", "targetRegistry": "string" }'{ "imported": [ { "ref": "string", "version": "string", "provenance": { "sourceKind": "github", "sourceUrl": "string", "sourceRef": "string", "upstreamHash": "string", "importedAt": "2019-08-24T14:15:22Z" }, "structuralWarnings": [] } ], "failed": []}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "PLAN_LIMIT", "status": 402, "message": "This action exceeds your plan's limits.", "data": { "limit": "string", "current": 0, "max": 0, "planId": "string", "orgHandle": "string", "suggestedPlanId": "string" }}{ "defined": true, "code": "FORBIDDEN", "status": 403, "message": "You do not have permission to perform this action.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}